Skip to main content
GET
/
memories
/
search
/
semantic
Search Memories
curl --request GET \
  --url https://analyst.heyhumm.ai/memories/search/semantic \
  --header 'Authorization: Bearer <token>'
[
  {
    "type": "procedural",
    "content": "<string>",
    "quality_score": 0.5,
    "thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "scope": "organization",
    "status": "pending_review",
    "extraction_reasoning": "",
    "tags": [
      "<string>"
    ],
    "reviewed_at": "2023-11-07T05:31:56Z",
    "reviewed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string
required

Search query text

organization_id
string
required
status
enum<string> | null

Filter by status (defaults to approved) Memory review status.

Available options:
pending_review,
approved,
rejected
limit
integer
default:10

Maximum number of results

Required range: 1 <= x <= 50
similarity_threshold
number
default:0.7

Minimum similarity score

Required range: 0 <= x <= 1

Response

Successful Response

type
enum<string>
required

Types of memories that can be extracted.

Available options:
procedural,
factual,
contextual
content
string
required

Memory content as markdown text that you want Humm to store.

quality_score
number
required

Confidence score from 0.0 to 1.0 indicating how trustworthy this memory is.

Required range: 0 <= x <= 1
thread_id
string<uuid>
required

Thread UUID where this memory was observed or extracted.

organization_id
string<uuid>
required

Organization UUID for the tenant that owns this memory. For POST /memories, this must also match the organization_id query parameter.

user_id
string<uuid>
required

User UUID associated with the source thread or memory author.

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
scope
enum<string>
default:organization

Scope of memory applicability.

Available options:
organization,
user
status
enum<string>
default:pending_review

Memory review status.

Available options:
pending_review,
approved,
rejected
extraction_reasoning
string
default:""

Reasoning for extraction

tags
string[]

Optional tags

reviewed_at
string<date-time> | null
reviewed_by
string<uuid> | null